import _ from 'lodash';
import {default as settings} from 'settings';
import {transformers} from 'redux-api';

export default (baseURL: string = settings.BASE_URL) => ({
	transformer: data => transformers.object(_.chain(data)
		.result('data')

		.map(D => {
			const
				key = _.head(_.keys(D));

			// Companies called Accounts on API side
			return [key === 'accounts' ? 'companies' : key, D[key]];
		})

		.fromPairs()
		.value()
	),

	url: `${baseURL}/API/search`,
});
